const system = require("../../../system");
const ServiceBase = require("../../sve.base")
const settings = require("../../../../config/settings")
class BusinessmencontractService extends ServiceBase {
  constructor() {
    super("business", ServiceBase.getDaoName(BusinessmencontractService));
  }

  async api(params) {
    try {
      return await this.xxx(params);
    } catch (error) {
      console.log(error);
      return system.getResult(null, "接口异常");
    }
  }

  async apiAdd(params) {
    try {
      return await this.apiSave(params);
    } catch (error) {
      console.log(error);
      return system.getResult(null, "接口异常");
    }
  }

  // -----------------------以此间隔，上面为API，下面为service---------------------------------
  async add(params) {
    
    
    return system.getResultSuccess();
  }

  async method(params) {
    return system.getResultSuccess();
  }
}
module.exports = BusinessmencontractService;
// var task=new UserService();
// task.getUserStatisticGroupByApp().then(function(result){
//   console.log((result));
// }).catch(function(e){
//   console.log(e);
// });